daemon:
    name: Pirates OTP Cluster

general:
    eventlogger: 127.0.0.1:4343
    dc_files:
        - ../dclass/otp.dc
        - ../dclass/pirates.dc
        - ../dclass/dev.dc

messagedirector:
    bind: 127.0.0.1:6666

uberdogs:
    - class: CentralLogger
      id: 4688
      anonymous: false

    - class: DistributedAvatarManager
      id: 4674
      anonymous: true

    - class: DistributedTravelAgent
      id: 4679
      anonymous: false

    - class: DistributedInventoryManager
      id: 5001
      anonymous: false

    - class: DistributedMatchMaker
      id: 4700
      anonymous: false

    - class: PCGuildManager
      id: 4701
      anonymous: false

    - class: DistributedShipLoader
      id: 4678
      anonymous: false

    - class: CodeRedemption
      id: 4703
      anonymous: false

    - class: PiratesSettingsMgr
      id: 4704
      anonymous: true

    - class: AvatarFriendsManager
      id: 4686
      anonymous: false

    - class: DistributedCrewMatchManager
      id: 4706
      anonymous: false

    - class: StatusDatabase
      id: 4693
      anonymous: false

    - class: PlayerFriendsManager
      id: 4687
      anonymous: false

    - class: InjectionManager
      id: 4715
      anonymous: false

roles:
    - type: clientagent
      # Use stunnel to accept incoming connections from 0.0.0.0
      bind: 127.0.0.1:6665
      version: "pcsv1.0.34.31"
      dc_hash: 2790912635
      lua_file: "PiratesClient.lua"
      database: 4003
      client:
          relocate: true
          add_interest: enabled
          heartbeat_timeout: 60
      channels:
          min: 1000000000
          max: 1009999999

    - type: stateserver
      control: 20100000
      objects:
          - class: DistributedDirectory
            id: 4617

    - type: database
      control: 4003
      generate:
          min: 100000000
          max: 199999999
      backend:
          type: mongodb
          server: mongodb://127.0.0.1
          database: Pirates
      objects:
          - class: Account
            id: 1
          - class: DistributedPlayerPirate
            id: 2
          - class: DistributedInventory
            id: 3
          - class: DistributedQuest
            id: 4

    - type: dbss
      database: 4003
      ranges:
          min: 100000000
          max: 199999999

    - type: eventlogger
      bind: 127.0.0.1:4343
      output: ../../logs/events-%Y%m%d_%H%M%S.log

    # TODO: Adapt for Pirates.
    # - type: lua
      # name: FriendManager
      # lua_file: "../otp/FriendManager.lua"
